Create Agent
curl --request POST \
--url https://api.example.com/api/agentsimport requests
url = "https://api.example.com/api/agents"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agents
Create Agent
Create a new AI agent
POST
/
api
/
agents
Create Agent
Request
curl -X POST https://app.orova.ai/api/agents \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Support Agent",
"llm_provider": "openai",
"llm_model": "gpt-4o-mini",
"tts_provider": "elevenlabs",
"tts_voice_id": "VOICE_ID",
"stt_provider": "deepgram",
"system_prompt": "You are a helpful support agent...",
"first_message": "Hi! How can I help you today?",
"recording_enabled": true,
"workspaceId": "WORKSPACE_ID"
}'
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Agent display name |
llm_provider | string | Yes | openai, claude, azure |
llm_model | string | Yes | Model name |
tts_provider | string | Yes | elevenlabs, cartesia, azure |
tts_voice_id | string | No | Voice ID from TTS provider |
stt_provider | string | Yes | deepgram, azure, elevenlabs, openai |
system_prompt | string | No | Agent instructions |
first_message | string | No | Greeting message |
recording_enabled | boolean | No | Enable call recording |
ambience_enabled | boolean | No | Enable background ambience |
workspaceId | string | Yes | Workspace ID |
Response
{
"_id": "agent_id",
"name": "Support Agent",
"llm_provider": "openai",
"llm_model": "gpt-4o-mini",
"tts_provider": "elevenlabs",
"stt_provider": "deepgram",
"system_prompt": "You are a helpful support agent...",
"first_message": "Hi! How can I help you today?",
"recording_enabled": true,
"workspaceId": "WORKSPACE_ID",
"createdAt": "2025-01-01T00:00:00.000Z"
}
Was this page helpful?
⌘I

